---
id: 5f35e5c4321f818cdc4bed30
title: Step 29
challengeType: 0
dashedName: step-29
---

# --description--

Now that things look good, it's time to start adding some menu items.

Add an empty `article` element under the `Coffee` heading. It will contain a flavor and price of each coffee you currently offer.


# --hints--

You should have an opening `<article>` tag.

```js
assert.match(code,/<article>/i);
```

You should have a closing `</article>` tag.

```js
assert(code.match(/<\/article>/i));
```

You should not change the existing `h2` element.

```js
assert.lengthOf(document.querySelectorAll('h2'),1);
```

Your `article` element should come after your `h2` element.

```js
const article = document.querySelector('article');
assert.equal(article?.previousElementSibling?.tagName, 'H2');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Cafe Menu</title>
    <link href="styles.css" rel="stylesheet"/>
  </head>
  <body>
    <div class="menu">
      <main>
        <h1>CAMPER CAFE</h1>
        <p>Est. 2020</p>
        <section>
--fcc-editable-region--
          <h2>Coffee</h2>
--fcc-editable-region--
        </section>
      </main>
    </div>
  </body>
</html>
```

```css
body {
  background-image: url(https://cdn.freecodecamp.org/curriculum/css-cafe/beans.jpg);
}

h1, h2, p {
  text-align: center;
}

.menu {
  width: 80%;
  background-color: burlywood;
  margin-left: auto;
  margin-right: auto;
}
```

